/*
 *  Pong Test 0 -- WiFiBoy32 Demo Code for Arduino/ESP32
 *
 *  Nov 25, 2017 Created. (derek@wifiboy.org)
 *
 */
#include "wifiboy32.h"

int ball_x, ball_y, dx, dy;

void setup() 
{
  wb32_init();

  ball_x = ball_y = 10;
  dx = dy = 3;
}

void loop() 
{
  ball_x += dx;
  if ((ball_x > 230) || (ball_x < 0)) { dx = -dx; ball_x += dx; }
  ball_y += dy;
  if ((ball_y > 300) || (ball_y < 0)) { dy = -dy; ball_y += dy; }
  
  wb32_fillRect(ball_x, ball_y, 10, 10, wbGREEN);
  
  delay(20);
  wb32_fillRect(ball_x, ball_y, 10, 10, wbBLACK);
}
