#include <WiFi.h>
 
WiFiServer server(80);

void setup()
{
    Serial.begin(115200);
    pinMode(16, OUTPUT);

    WiFi.begin("wifiboy", "26333256");
 
    while (WiFi.status() != WL_CONNECTED) {
        delay(500);
        Serial.print(".");
    }
    Serial.println("WiFi connected");
    Serial.println("IP address: ");
    Serial.println(WiFi.localIP());
    
    server.begin();
}
 
int value = 0;
 
void loop()
{
    WiFiClient client = server.available();  
 
    if (client) {                  
        Serial.println("new client"); 
        String currentLine = "";      
        while (client.connected()) {       
            if (client.available()) { 
                char c = client.read();  
                Serial.write(c);  
                if (c == '\n') {   
                    if (currentLine.length() == 0) {
                        client.println("HTTP/1.1 200 OK");
                        client.println("Content-type:text/html");
                        client.println();
                        client.print("<a href=\"/H\"><button style=\"font-size:50px\">OFF</button></a>");
                        client.print("<a href=\"/L\"><button style=\"font-size:50px\">ON</button></a>");
                        client.println();
                        break;
                    } else {   
                        currentLine = "";
                    }
                } else if (c != '\r') {  
                    currentLine += c;      
                }
                if (currentLine.endsWith("GET /H")) digitalWrite(16, HIGH);               
                if (currentLine.endsWith("GET /L")) digitalWrite(16, LOW);                
            }
        }
        client.stop();
        Serial.println("client disonnected");
    }
}
